Subject: [bug#68675] [PATCH] Support dhcpcd in dhcp-client-service-type

From: Sören Tempel <[email-masked]>
Date: Wed, 15 Jan 2025 18:31:14 +0100

Hi,

I created https://issues.guix.gnu.org/75494 to discuss the package first
and then we can talk about the service separately once that is merged.

I hope that reduces the review effort.

Greetings,
Sören

[email-masked] wrote:
> 
> Hi,
> 
> > Regarding the service, it may also be worthwhile to add a custom service
> > for dhcpcd instead of extending the existing one. Though that would make
> > migrating to dhcpcd from isc-dhcp more involved for users.
> > 
> > WDYT? How do we best proceed here?
> > 
> > Greetings,
> > SÃ¶ren
> 
> I agree with your approach, I feel like we should make a separate
> service entirely and update the docs to point to that. After a while we
> can then make dhcp-client-service-type point to that service (or replace
> the service definition of dhcp-client-service-type with the one of
> dhcpcd's).